/* FONTES */
@font-face {
  font-family:"Literata-VariableItalic";
  src: url(fontes/variables/Literata-VariableItalic.ttf);
}

@font-face {
  font-family:"Literata-Variable";
  src: url(fontes/variables/Literata-Variable.ttf);
}

@font-face {
  font-family:"Venus+Acier";
  src: url(fontes/otf/Venus+Acier.otf);
}

/* VARIABLES */
:root {
  --main-color: red;
  --font-title: "Venus+Acier";
  --font-texte-courant: "Literata-Variable";
  --col-min: 5%;
  --col-max: 90%;
  --row-min: 5%;
  --row-max: 95%;
}

/* GENERAL */
h1,
h2,
h3,
h4,
p, 
ul{
  font-weight: normal;
  margin: 0;
}

ul li {
  list-style-type: none;
}

ul li::before {
  content: '◇  ';
  margin-right: .25em;
}

a{
  text-decoration: none;
  color: black;
}

/* HEADER */
header {
  height: 5vh;
}

header ul {
  display: flex;
  height: 100%;
  margin: 0;
  padding: 0;
}

header ul li {
  list-style-type: none;
  padding: 0;
  font-family: var(--font-title);
  font-size: 2rem;
  line-height: 1.75;
  text-transform: uppercase;
  color: var(--main-color);
}
header ul li:before {
  content: '';
}

header ul li.logo {
  width: 5%;
  text-align: center;
}

header img {
  max-width: 100%;
  max-height: 100%;
}

/* CONSTRUCTION */
body {
  height: 100vh;
  margin: 0;
}

main {
  height: 95vh;
  display: grid;
  grid-template-columns: var(--col-min) var(--col-max) var(--col-min);
  grid-template-rows: var(--row-max) var(--row-min);
}

section {
  box-sizing: border-box;
  border: 1px solid var(--main-color);
  overflow-y: hidden;
  overflow-x: hidden;
  padding-left: .75em;
  position: relative;
  margin-top: -1px;
  margin-left: -1px;
}

section:hover:not(.feuillet) {
  color: var(--main-color);
  cursor: nesw-resize;
}

section > *:not(.feuillet label){
  width: 60vw;
}

section h1 {
  margin: 0;
}

section.clicked:hover {
  color: black;
}

section.clicked {
  overflow-y: auto;
}

section.clicked:hover {
  cursor:default;

}

/* Feuillets */
.container {
  display: flex;
  flex-wrap: wrap;
}

.container > input,
.container > input ~ div {
  display: none;
}

.feuillet{
  display: none;
  border:0;
  padding: 0;
  margin-top: 0;
  margin-left: 0;
}

section.clicked[data-column="1"] > section.feuillet{
  right: calc(2*(var(--col-min)));
}

section.clicked[data-column="2"] > section.feuillet{
  right: var(--col-min);
}

section.clicked[data-column="3"] > section.feuillet{
  right: 0;
}

section.clicked[data-row="1"] > section.feuillet{
  bottom: calc(var(--row-min) - 2px);
}

section.clicked[data-row="2"] > section.feuillet{
  bottom: 0;
}

section.clicked > section.feuillet{
  display: flex;
  position: fixed;
  justify-content: end;
}

.container > input:checked + div.feuille{
  display: block;
}

.feuillet label{
  box-sizing: border-box;
  border: 1px solid var(--main-color);
  padding: 0.3rem 1rem;
  background: white;
  margin-left: -1px;
}

.feuillet label:hover{
  background: var(--main-color);
  color: white;
  cursor: pointer;
}

input[type=radio]:checked + .feuillet label{
  background: var(--main-color);
}

/* input[type='radio']:checked:after + section.feuillet > label{
  color: var(--main-color);
} */

/* input:checked + div + section.feuillet > label{
  background: var(--main-color);
  color: white;
} */

/* input[type=radio]:checked + label:after{
  background: var(--main-color);
} */


/* Calculator */
section#calculator .calculator .part {
  margin: 2em 0;
}

section#calculator h2 {
  display: flex;
}

section#calculator h2 .infos .question-mark{
  align-self: baseline;

}

section#calculator .calculator ul li {
  display: flex;
  border-bottom: 1px dotted;
  text-transform: lowercase;
}

section#calculator .calculator ul li label {
  width: 50%;
}

section#calculator .calculator ul li input {
  width: 25%;
  font-family: var(--font-texte-courant);
  font-size: 1rem;
}

section#calculator .calculator ul li input.alert {
  border-color: var(--main-color);
  color: var(--main-color);
}
section#calculator .calculator .infos {
  position: relative;
  display: flex;
  align-items: center;
  font-family: var(--font-texte-courant);
}

section#calculator .calculator .infos .text {
  display: none;
  position: absolute;
  border: 1px solid;
  border-radius: .5em;
  font-size: 1rem;
  padding: .5em .75em;
  z-index: 1;
  background-color: white;
  width: 300px;
  left: 2.5em;
  line-height: 1em;
  text-transform: none;
}

section#calculator .calculator .infos .question-mark {
  border: 1px solid;
  text-align: center;
  width: 1.5em;
  height: 1.5em;
  font-size: 1rem;
  vertical-align: middle;
  border-radius: 50%;
  margin-left: .5em;
  text-transform: lowercase;
}

section#calculator .calculator .infos .question-mark:hover {
  background-color: var(--main-color);
  color: white;
}
section#calculator .calculator .infos .question-mark:hover + .text {
  display: block;
}

section#calculator .calculator ul li input.alert ~ span.alert:after {
  content: attr(data-value);
  position: absolute;
  color: var(--main-color);
  font-size: .5em;
}

section#calculator .calculator .prix-jours {
  display: inline;
  padding-left: .5em;
  font-variation-settings: "wght" 500;
}

section#calculator .calculator .total p:not(.alert) {
  padding-left: .25em;
  display: flex;
  justify-content: end;
}

section#calculator .total {
  margin-top: .5em;
  text-align: right;
  display: flex;
  flex-wrap: wrap;
  justify-content: end;
}

section#calculator p.alert {
  display: none;
  color: var(--main-color);
  font-size: 1em;
  width: 100%;
}

section#calculator p.alert.visible {
  display: block;
}

section#calculator .calculator .total p:not(.alert) > span {
  padding: 0 .5em;
  border: 1px solid var(--main-color);
}

section#calculator .total span.total-jours {
  border-left: 1px solid var(--main-color);
  margin-left: -1px;
}

section#calculator .total span.price {
  background-color: var(--main-color);
  color: white;
  padding: 0 .5em;
}

section#calculator #total {
  display: none;
}

section#calculator #total span:nth-child(1){
  padding-right: .25em;
}

section#calculator.clicked #total {
  display: flex;
  border-right: 1px solid var(--main-color);
  border-top: 1px solid var(--main-color);
  position: fixed;
  left: 5%;
  border-bottom: 0;
  background-color: white;
  margin-top: 0;
}

section#calculator[data-row="1"].clicked #total {
  bottom: calc(1*var(--row-min) - 2px);
}

section#calculator[data-row="2"].clicked #total {
  bottom: 0%;
}

section#calculator .print {
}

/* TYPO */
section h1{
  font-size: 6rem;
  text-transform: uppercase;
  font-family: var(--font-title);
  margin: 0;
}

section h1.hidden {
  display: none;
}

section:hover h1.hidden {
  display: block;
  position: fixed;
  top: 0;
  right: 10vw;
  text-align: right;

}
section.clicked:hover h1.hidden {
  display: none;
}

article{
  /* padding-left: 1rem; */
  padding-bottom: 2rem;
}

article h2,
.feuillet label{
  font-size: 1.5rem;
  font-family: var(--font-title);
  text-transform: uppercase;
}

article h3{
  font-family: var(--font-title);
}

article p, 
article li{
  font-size: 1.5rem;
  font-family: var(--font-texte-courant);
  font-variation-settings: "wght" 400;
  line-height: 1.3;
}

article > p,
article > h2 {
    text-indent: 1.5rem;
}

article > p:nth-of-type(1),
article > h2 + p {
  text-indent: 0;
}